%global srcname ns1-python

Name:           python-%{srcname}
Version:        0.9.19
Release:        1%{?dist}
Summary:        Python SDK for the NS1 DNS platform

# https://github.com/ns1/ns1-python/issues/31
License:        MIT
URL:            https://github.com/ns1/ns1-python
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
This package provides a python SDK for accessing the NS1 DNS platform
and includes both a simple NS1 REST API wrapper as well as a higher level
interface for managing zones, records, data feeds, and more.
It supports synchronous and asynchronous transports.}

%description %{_description}

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Recommends:     python%{python3_version}dist(requests)
Suggests:       python%{python3_version}dist(twisted)

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}
rm -vrf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/ns1_python-*.egg-info/
%{python3_sitelib}/ns1/

%changelog
* Sat Jul 13 23:02:48 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.19-1
- Initial package

